module Pointer_Routines

   interface

      Subroutine SetupQueue (DebrisHead, DebrisTail)
         
         use UserTypes

         type (DEBRIS_PROPS_TYPE), Pointer :: DebrisHead                   !Pointer to head of list
         type (DEBRIS_PROPS_TYPE), Pointer :: DebrisTail                   !Pointer to tail of list

      end subroutine SetupQueue

   end interface

end module